<script lang="ts" setup>
import { Check } from 'slippers-ui/icons';
interface Block {
  header: string;
  listItems: Array<string>;
  offers: Array<{
    header?: string;
    listItems: Array<string>;
  }>;
}

interface OverviewData {
  header: string;
  blocks: Array<Block>;
  information: {
    header: string;
    text: string;
  };
}

defineProps<OverviewData>();
</script>

<template>
  <SlpSection>
    <div class="overview-container">
      <SlpTypography variant="heading2-bold" tag="h2" class="header">
        {{ header }}
      </SlpTypography>
      <div class="card-container">
        <div v-for="block in blocks" :key="block.header" class="block purple">
          <SlpTypography v-if="block.header" variant="heading4-bold" tag="h3" class="slp-mb-32">
            {{ block.header }}
          </SlpTypography>
          <div v-for="item in block.listItems" :key="item" class="slp-flex slp-pb-16 list-item">
            <SlpIcon :icon="Check" class="slp-mr-8 icon" size="sm" />
            <SlpTypography tag="div" variant="body2"><div v-html="$md.render(item)" /> </SlpTypography>
          </div>
          <div v-for="(offer, index) in block.offers" :key="`${offer.title}-${index}`" class="offer">
            <SlpTypography v-if="offer.header" variant="body1-bold" tag="p" class="slp-mb-32">
              {{ offer.header }}
            </SlpTypography>
            <div v-for="item in offer.listItems" :key="item" class="slp-flex list-item">
              <SlpIcon :icon="Check" class="slp-mr-8 icon" size="sm" />
              <SlpTypography tag="div" variant="body1"> <div v-html="$md.render(item)" /></SlpTypography>
            </div>
          </div>
        </div>
        <div class="additional-information block">
          <SlpTypography variant="heading5-bold" tag="h3" class="header">
            {{ information.header }}
          </SlpTypography>
          <div>
            <SlpTypography tag="div" variant="body1"
              ><div class="text" v-html="$md.render(information.text)" />
            </SlpTypography>
          </div>
        </div>
      </div>
    </div>
  </SlpSection>
</template>

<style lang="scss" scoped>
.overview-container {
  margin: $spacing-96 0;
  .header {
    margin-bottom: 40px;
  }
  .description {
    margin-bottom: 40px;
  }
}
.card-container {
  display: grid;
  grid-template-columns: 1f;
  gap: $spacing-32;
  @media (min-width: $breakpoint-lg) {
    grid-template-columns: repeat(2, 1fr);
  }
}
.additional-information {
  padding: 32px;
  border: 1px solid $color-surface-200;
  display: flex;
  flex-direction: column;
  grid-column: 1 / -1;
  width: 100%;
  max-width: none;

  @media (min-width: $breakpoint-lg) {
    flex-direction: row;
  }

  .header {
    min-width: 30%;
    margin-right: $spacing-32;
    margin-bottom: $spacing-32;
  }

  .text {
    color: $color-text-200;

    &:deep(p) {
      margin-bottom: 16px;
    }
  }
}
.block {
  max-width: 100%;
  border-radius: 8px;
  box-sizing: border-box;
  color: inherit;
  transition: all 0.3s ease-in-out;
  border-color: $color-surface-200;

  &:not(.additional-information) {
    padding: 24px;
  }

  &.purple {
    background: #f6f3fe;
  }

  @media (max-width: $breakpoint-lg) {
    padding: $spacing-16;
  }
}

.offer {
  background: $color-surface-50;
  border-radius: 8px;
  padding: 24px;
  margin: 24px 0 0 0;
}

.offer .list-item {
  color: $color-surface-500;
  align-items: flex-start;
  &:not(:last-of-type) {
    margin-bottom: 16px;
  }
}

.icon {
  margin-top: 4px;
  fill: $color-text-link-100;
  flex-shrink: 0;
  width: 16px;
  height: 16px;
}
</style>
